org.apache.felix.ipojo.handlers.architecture

## Class ArchitectureHandler

- java.lang.Object
- - org.apache.felix.ipojo.Handler
  - - org.apache.felix.ipojo.PrimitiveHandler
    - - org.apache.felix.ipojo.handlers.architecture.ArchitectureHandler

All Implemented Interfaces:
  Architecture, ConstructorInjector, FieldInterceptor, InstanceStateListener, MethodInterceptor

    public class ArchitectureHandler
    extends PrimitiveHandler
    implements Architecture, InstanceStateListener

Architecture Handler. Provide a runtime representation of iPOJO instances.

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.PrimitiveHandler

`HANDLER_TYPE`

### Fields inherited from class org.apache.felix.ipojo.Handler

`HANDLER_LEVEL_PROPERTY, HANDLER_NAME_PROPERTY, HANDLER_NAMESPACE_PROPERTY, HANDLER_TYPE_PROPERTY, m_instance, m_isValid`

### Fields inherited from interface org.apache.felix.ipojo.architecture.Architecture

`ARCHITECTURE_INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`ArchitectureHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(org.apache.felix.ipojo.metadata.Element metadata, java.util.Dictionary configuration)` Configure the handler.
`InstanceDescription` `getInstanceDescription()` Get the instance description.
`void` `start()` Start method.
`void` `stateChanged(ComponentInstance instance, int newState)` The instance lifecycle listener callback.
`void` `stop()` Stop method.

### Methods inherited from class org.apache.felix.ipojo.PrimitiveHandler

`attach, getConstructorParameter, getConstructorParameterType, getFactory, getHandler, getInstanceManager, getLogger, getPojoMetadata, onCreation, onEntry, onError, onExit, onFinally, onGet, onSet, setFactory`

### Methods inherited from class org.apache.felix.ipojo.Handler

`debug, error, error, getDescription, getHandlerManager, getValidity, info, initializeComponentFactory, isValid, reconfigure, setValidity, stateChanged, warn, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArchitectureHandler

    public ArchitectureHandler()

### Method Detail

#### configure

    public void configure(org.apache.felix.ipojo.metadata.Element metadata,
                          java.util.Dictionary configuration)

Configure the handler.

Specified by:
  `configure` in class `Handler`
Parameters:
  `metadata` - : the metadata of the component
  `configuration` - : the instance configuration
See Also:
  `Handler.configure(org.apache.felix.ipojo.metadata.Element, java.util.Dictionary)`

#### stop

    public void stop()

Stop method.

Specified by:
  `stop` in class `Handler`
See Also:
  `Handler.stop()`

#### start

    public void start()

Start method.

Specified by:
  `start` in class `Handler`
See Also:
  `Handler.start()`

#### getInstanceDescription

    public InstanceDescription getInstanceDescription()

Get the instance description.

Specified by:
  `getInstanceDescription` in interface `Architecture`
Returns:
  the instance description
See Also:
  `Architecture.getInstanceDescription()`

#### stateChanged

    public void stateChanged(ComponentInstance instance,
                             int newState)

The instance lifecycle listener callback. When we receive the DISPOSED state, the architecture is unregistered from the service registry.

Specified by:
  `stateChanged` in interface `InstanceStateListener`
Parameters:
  `instance` - the changing instance the instance, meaningless in our case.
  `newState` - the new instance state the new instance state.